#ifndef _symbol_h
#define _symbol_h

#include <stdio.h>

struct Symbol {
  char *name;
  unsigned long value;
};

struct Symbol **readSymbols(FILE *src);
void freeSymbols(struct Symbol **table);

int symbolCompareByName(void *a, void *b);
int symbolCompareByValue(void *a, void *b);

#endif
